Package com.stardog.stark.io.trig

# Class TrigParser

java.lang.Object
com.stardog.stark.io.turtle.TurtleParser
com.stardog.stark.io.trig.TrigParser

All Implemented Interfaces:
  `RDFParser`

Direct Known Subclasses:
  `SPARQLUpdateDataBlockParser`, `TrigParserWithRules`

public class TrigParser extends TurtleParser

Parser for TriG

Since:
  1.0
Version:
  1.0
Author:
  Michael Grove

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TrigParser()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RDFFormat`
  `format()`
  The format this parser can parse
  `protected boolean`
  `parseDirective(TurtleParserContext theContext, String directive)`
  `protected void`
  `parseGraph(TurtleParserContext theContext, boolean theGraphKeywordWasUsed)`
  `protected void`
  `parseStatement(TurtleParserContext theContext)`
  `protected void`
  `parseTriples(TurtleParserContext theContext)`

  ### Methods inherited from class com.stardog.stark.io.turtle.TurtleParser

  `parse, parseBase, parseCollection, parseEmbeddedTriple, parseImplicitBlank, parseLongString, parseNodeID, parseNumber, parseObject, parseObjectList, parsePredicate, parsePredicateObjectList, parsePredicateWithEdgeProperties, parsePrefixID, parseQNameOrBoolean, parseQuotedLiteral, parseQuotedString, parseString, parseSubject, parseSubjectResource, parseURI, parseValue, processComment, skipWSC`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.stardog.stark.io.RDFParser

  `parse`

- ## Constructor Details

  - ### TrigParser

    public TrigParser()

- ## Method Details

  - ### format

    @Nonnull public RDFFormat format()
    The format this parser can parse
    Specified by:
      `format` in interface `RDFParser`
    Overrides:
      `format` in class `TurtleParser`
    Returns:
      the format

  - ### parseStatement

    protected void parseStatement(@Nonnull TurtleParserContext theContext) throws IOException
    Overrides:
      `parseStatement` in class `TurtleParser`
    Throws:
      `IOException`

  - ### parseDirective

    protected boolean parseDirective(TurtleParserContext theContext, String directive) throws IOException
    Overrides:
      `parseDirective` in class `TurtleParser`
    Throws:
      `IOException`

  - ### parseGraph

    protected void parseGraph(@Nonnull TurtleParserContext theContext, boolean theGraphKeywordWasUsed) throws IOException
    Throws:
      `IOException`

  - ### parseTriples

    protected void parseTriples(@Nonnull TurtleParserContext theContext) throws IOException
    Overrides:
      `parseTriples` in class `TurtleParser`
    Throws:
      `IOException`